package com.cmeeting.ad.service;


import com.cmeeting.ad.vo.ApplicationUserVO;
import com.cmeeting.ad.vo.UserVo;
import com.cmeeting.util.R;

public interface UserService {
    R login(String agentId, String data, String ip);

    Object auth(String userId, String nick, String role);


    Object tokenAuth(ApplicationUserVO.LoginDecrypt vo);
    Object tokenAuth(String token);

    Object emailAuth(UserVo.Auth vo);
}